# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mailbox/marvell,armada-3700-rwtm-mailbox.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Marvell Armada 3700 rWTM Mailbox

maintainers:
  - Marek Behún <kabel@kernel.org>

properties:
  compatible:
    const: marvell,armada-3700-rwtm-mailbox

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  '#mbox-cells':
    const: 1

required:
  - compatible
  - reg
  - interrupts
  - '#mbox-cells'

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>

    mailbox@b0000 {
        compatible = "marvell,armada-3700-rwtm-mailbox";
        reg = <0xb0000 0x100>;
        interrupts = <GIC_SPI 18 IRQ_TYPE_LEVEL_HIGH>;
        #mbox-cells = <1>;
    };
